import _classCallCheck from "@babel/runtime/helpers/esm/classCallCheck";
import _createClass from "@babel/runtime/helpers/esm/createClass";
import _possibleConstructorReturn from "@babel/runtime/helpers/esm/possibleConstructorReturn";
import _getPrototypeOf from "@babel/runtime/helpers/esm/getPrototypeOf";
import _inherits from "@babel/runtime/helpers/esm/inherits";
import React, { Component } from 'react';
import './BookCard.scss';

var CartItem =
/*#__PURE__*/
function (_Component) {
  _inherits(CartItem, _Component);

  function CartItem() {
    _classCallCheck(this, CartItem);

    return _possibleConstructorReturn(this, _getPrototypeOf(CartItem).apply(this, arguments));
  }

  _createClass(CartItem, [{
    key: "render",
    value: function render() {
      var _this = this;

      return (//replace HARD_COPY with loose leef category
        React.createElement("div", {
          className: "row item-row " + (this.props.book.type === 'LOOSE_LEAF' ? 'loose-leaf' : '')
        }, React.createElement("div", {
          className: "product-cover border-treatment"
        }, React.createElement("div", {
          className: "image-section"
        }, React.createElement("img", {
          className: "img " + (this.props.book.type === 'LOOSE_LEAF' ? 'loose-leaf-img' : ''),
          src: this.props.book.coverImage.href,
          alt: this.props.book.description
        }), React.createElement("div", {
          className: "side-punch"
        }, React.createElement("div", {
          className: "dot top"
        }), React.createElement("div", {
          className: "dot middle"
        }), React.createElement("div", {
          className: "dot bottom"
        })))), React.createElement("div", {
          className: "prod-description"
        }, React.createElement("h3", {
          className: "product-title"
        }, this.props.book.description, " - ", React.createElement("span", {
          "aria-label": "Digital"
        }, React.createElement("i", null, this.props.book.type)))), React.createElement("div", {
          className: "product-price"
        }, React.createElement("div", {
          className: "prod-price"
        }, React.createElement("div", {
          className: "hide-u-price displayInline",
          "aria-label": "Unit Price"
        }, this.props.cartItems.institution.country === "US" && React.createElement("span", null, "$"), this.props.cartItems.institution.country === "GB" && React.createElement("span", null, "\xA3"), this.props.cartItems.institution.country === "CA" && React.createElement("span", null, "C$"), this.props.book.unitPrice))), React.createElement("div", {
          className: "prod-removebtn"
        }, this.props.book.isRemovable === true && React.createElement("div", {
          className: "btn-remove"
        }, React.createElement("a", {
          tabIndex: "0",
          "data-item-id": this.props.book.productId,
          className: "btn btn-link displayInline",
          name: "removeTask",
          onClick: function onClick(event) {
            return _this.props.onRemove(event, _this.props.cartItems, _this.props.orderId, _this.props.env, _this.props.userToken);
          }
        }, "\xA0"))))
      );
    }
  }]);

  return CartItem;
}(Component);

export { CartItem as default };